# Uses of Class
javax.crypto.CipherSpi

Packages that use CipherSpi
Package
Description
javax.crypto
Provides the classes and interfaces for cryptographic operations.

## Uses of CipherSpi in javax.crypto

Constructors in javax.crypto with parameters of type CipherSpi
Modifier
Constructor
Description
`protected`
`Cipher(CipherSpi cipherSpi, Provider provider, String transformation)`
Creates a `Cipher` object.